<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/datepicker/WdatePicker.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    //编辑
    function edit(id) {
        var params = $('#searchForm').serialize();
        window.location.href = '/car/edit?id=' + id + '&back_params=' + encodeURIComponent(params);
    }
    //详情
    function info(id) {
        var params = $('#searchForm').serialize();
        window.location.href = '/filtrationt/info?id=' + id + '&back_params=' + encodeURIComponent(params);
    }
    function getData() {
        $.get('/database/ajax-a-data', function (obj) {
            alert(obj.msg);
            if (obj.success) {
                window.location.reload();
            }
        }, 'json');
    }
    $(function(){
        $("#search-btn").click(function(){
            $('#page').val(0);
            var params = $('#searchForm').serialize();
            window.location.href = "/database/clean-index?" + params;
        });
        $('#all-assign-btn').click(function(){
            if(confirm('是否确认批量分配操作?')) {
                var params = $('#searchForm').serialize();
                $.post('/database/b-all-assign',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('.invalid-btn').click(function(){
            if(confirm('是否确认无效?')) {
                var params = $('#listFrm').serialize();
                var invalid_id = $('#invalid_id').val();
                params = params + '&invalid_id=' + invalid_id;
                $.post('/database/invalid',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#assign-btn').click(function(){
            if(confirm('是否确认分配操作?')) {
                var params = $('#listFrm').serialize();
                var user_id = $('#user_id').val();
                params = params + '&user_id=' + user_id;
                $.post('/database/clean-assign',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#return-btn').click(function(){
            if(confirm('是否确认收回操作?')) {
                var params = $('#listFrm').serialize();
                $.post('/database/b-return',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });

        $('#all').click(function(){
            if($(this).prop('checked')==true) {
                $('input:checkbox').each(function() {
                    $(this).prop('checked', true);
                });
            } else {
                $('input:checkbox').each(function () {
                    $(this).prop('checked',false);
                });
            }
        });
    });
</script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm">
        <input type="hidden" id="page" name="page" value="<?=$page?>">
        <tr>
            <td class="td_bg">
                车牌：<input name="car_no" type="text" value="<?=$car_no?>" style="width:100px;">
                车主：<input name="car_man" type="text" value="<?=$car_man?>" style="width:100px;">
                联系电话：<input name="phone" type="text" value="<?=$phone?>" style="width:100px;">
                初登日期：从<input class="act_date" name="register_begin" type="text" value="<?=$register_begin?>" onclick="WdatePicker()">至<input class="act_date" name="register_end" type="text" value="<?=$register_end?>" onclick="WdatePicker()">截止
                保险公司：<input name="company" type="text" value="<?=$company?>" style="width:100px;">
            </td>
        </tr>
        <style>
            /*.day_date{*/
                /*width: 10px;*/
            /*}*/
        </style>
        <tr>
            <td class="td_bg">
                保险日期：从<input class="act_date" name="insurer1_begin" type="text" value="<?=$insurer1_begin?>" onclick="WdatePicker()">至<input class="act_date" name="insurer1_end" type="text" value="<?=$insurer1_end?>" onclick="WdatePicker()">截止

               
<!--                工号：<input name="username" type="text" value="--><?//=$username?><!--" style="width:50px;">-->

                <input type="button" class="act_btn" id="search-btn" name="search-btn" value="搜索">
            </td>
        </tr>
        <tr>
            <td class="td_bg">
<!--                业务员：<select name="user_id" id="user_id">-->
<!--                    <option value="0">请选择</option>-->
<!--                    --><?php
//                    foreach($user_items as $item) {
//                        echo '<option value="'.$item->id.'"';
//                        if($item->id == $user_id)
//                            echo ' selected ';
//                        echo '>'.$item->getShowName().'</option>';
//                    }
//                    ?>
<!--                </select>-->
<!--                <input type="button" class="act_btn" id="assign-btn" name="assign-btn" value="勾选分配">-->
<!--                <input type="button" class="act_btn" id="return-btn" name="return-btn" value="勾选收回">-->
<!--                分配给业务员 <input id="assign_users" name="assign_users" type="text" value="" style="width:100px;">-->
<!--                每个业务员分配 <input id="assign_count" name="assign_count" type="text" value="" style="width:50px;"> 条记录-->
<!--                <input type="button" class="act_btn" id="all-assign-btn" name="all-assign-btn" value="批量分配">-->
            </td>
        </tr>

    </form>
    <tr>
        <td class="td_bg"><span>总任务数：<?=$carAcount?></span>&nbsp;&nbsp;<input class="act_btn" type="button" onclick="getData()" value="领取数据"></td>
    </tr>
</table>

<form id="listFrm">
    <table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
        <tr>
            <td align="center" width="24" align="center" class="bg_tr"><input type="checkbox" id="all"></td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>车牌</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>车型</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>车主</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>联系电话</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>初登日期</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>保险日期</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>保险公司</td>
            <td width="78" align="center" align="center" class="bg_tr" nowrap>发动机号</td>
            <td width="96" align="center" align="center" class="bg_tr" nowrap>车架号</td>
            <td width="50" align="center" align="center" class="bg_tr" nowrap>操作员</td>
            <td width="50" align="center" align="center" class="bg_tr" nowrap>详情</td>
        </tr>
        <?php
        foreach($items as $index => $item) {
            $car_info = $item->car;
            ?>
            <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
                <td align="center" class="td_bg"nowrap ><input type="checkbox" name="ids[]" value="<?=$car_info->id?>"></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->car_no?></td>
                <td align="left" class="td_bg"nowrap ><?=MyLib::substr_cut($car_info->factory_model,10)?></td>
                <td align="left" class="td_bg"nowrap ><?=MyLib::substr_cut($car_info->car_man,10)?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->phone?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->register_date?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->insurer1_date?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->company?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->engine_no?></td>
                <td align="left" class="td_bg"nowrap ><?=$car_info->car_frame_no?></td>
                <td align="left" class="td_bg"nowrap ><?=$item->user?$item->user->getShowName():''?></td>
                <td align="center" class="td_bg" nowrap>
                    <?php if($item->user_id>0):?>
                    [<a href="javascript:void(0);" onclick="info(<?=$item->id?>)">详情</a>]
                <?php endif;?>
                </td>
            </tr>
            <?php
        }
        ?>
        <tr >
            <td height="25" colspan="12" align="center" class="td_bg"><?=$page_info?></td>
        </tr>
    </table>
</form>